UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceAttributes Class Reference

Encapsulates the set of default LBM source attributes. More...

Inheritance diagram for com.latencybusters.lbm.LBMSourceAttributes:

## Public Member Functions
unsafe | LBMSourceAttributes ()
| Instantiate LBMSourceAttributes class. More...
unsafe | LBMSourceAttributes (string contextName, string topicName)
| Instantiate an LBMSourceAttributes class using a context name and topic name from the xml configuration that must have been previously loaded. More...
void | Dispose ()
| Free memory associated with this set of attributes.
void | dispose ()
| Free memory associated with this set of attributes (same as Dispose()). More...
unsafe void | setFromXml (string contextName, string topicName)
| Set values in an LBMSourceAttributes class using a context name and topic name from the xml configuration that must have been previously loaded. More...
unsafe List< LBMConfigOption > | dumpAttributeList ()
| Dump source configuration options. More...
unsafe string | getValue (string attributeName)
| Returns the current value of an attribute from this set of source-related attributes. More...
unsafe void | setValue (string attributeName, string attributeValue)
| Set the current value of an attribute in this set of source-related attributes. More...
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
| Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects. More...
unsafe UMEStoreEntry[] | getStores ()
| Gets an array of the UME stores this source has configuration entries for. More...
unsafe UMEStoreGroupEntry[] | getStoreGroups ()
| Gets an array of the UME store groups this source has configured. More...
void | setMessageReclamationCallback (LBMMessageReclamationCallback cb, object cbArg)
| Register a callback interface (and a callback handle argument) to be called when a message is forcibly reclaimed from the collection of retained messages on a UME source (UME only). More...

## Detailed Description

Encapsulates the set of default LBM source attributes.

## Constructor & Destructor Documentation

unsafe com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes | ( |  | ) |

Instantiate LBMSourceAttributes class.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes | ( | string | contextName,
|  | string | topicName
| ) |  |

Instantiate an LBMSourceAttributes class using a context name and topic name from the xml configuration that must have been previously loaded.

Parameters

  contextName | The context name under which this source is to be created
  topicName | The source topic name under which this source is to be created

Exceptions

  com.latencybusters.lbm.LBMException | The context name or source topic name is not permitted by XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

## Member Function Documentation

void com.latencybusters.lbm.LBMSourceAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes (same as Dispose()).

See also
  Dispose

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe List<LBMConfigOption> com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList | ( |  | ) |

Dump source configuration options.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of LBMConfigOptions

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMConfigOption.OptionName, com.latencybusters.lbm.LBMConfigOption.Type, and com.latencybusters.lbm.LBMConfigOption.Value.

unsafe UMEStoreGroupEntry [] com.latencybusters.lbm.LBMSourceAttributes.getStoreGroups | ( |  | ) |

Gets an array of the UME store groups this source has configured.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of UMEStoreGroupEntry objects. Each member of the array contains information about a different UME store group.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe UMEStoreEntry [] com.latencybusters.lbm.LBMSourceAttributes.getStores | ( |  | ) |

Gets an array of the UME stores this source has configuration entries for.

Returns
  An array of UMEStoreEntry objects. Each member of the array contains information about a different UME store.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe string com.latencybusters.lbm.LBMSourceAttributes.getValue | ( | string | attributeName | ) |

Returns the current value of an attribute from this set of source-related attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe void com.latencybusters.lbm.LBMSourceAttributes.setFromXml | ( | string | contextName,
|  | string | topicName
| ) |  |

Set values in an LBMSourceAttributes class using a context name and topic name from the xml configuration that must have been previously loaded.

Parameters

  contextName | The context name under which this source is to be created
  topicName | The source topic name under which this source is to be created

Exceptions

  com.latencybusters.lbm.LBMException | The context name or source topic name is not permitted by XML configuration or other unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.LBMSourceAttributes.setMessageReclamationCallback | ( | LBMMessageReclamationCallback | cb,
|  | object | cbArg
| ) |  |

Register a callback interface (and a callback handle argument) to be called when a message is forcibly reclaimed from the collection of retained messages on a UME source (UME only).

This callback is called directly in line and does not use the event queue; therefore, the callback function used should not block or it will block the context thread processing.

See also
  LBMMessageReclamationCallback

Parameters

  cb | An object implementing the LBMMessageReclamationCallback delegate interface
  cbArg | Callback object passed as a token to the callback interface

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBM.LBM_MAX_CONTEXT_NAME_LEN, and com.latencybusters.lbm.LBMMessageReclamationCallback().

void com.latencybusters.lbm.LBMSourceAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

unsafe void com.latencybusters.lbm.LBMSourceAttributes.setValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the current value of an attribute in this set of source-related attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

Referenced by com.latencybusters.lbm.LBM.LBM().

The documentation for this class was generated from the following file:

- LBMSourceAttributes.cs